Subject: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Dec 2016 19:25:25 +0200

> From: Rostislav Svoboda <[email-masked]>
> Date: Wed, 21 Dec 2016 12:03:35 +0100
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> >>> , we'd like you to
> >>> apply a small patch and see if the problem goes away.  Is it okay?
> >>
> >> Yes. Gladly.
> >
> > Please try the attached.
> 
> The patch works! The font-height stays the same.

Great, thanks for testing.

> FYI - this is most probably unrelated to the font-height problem, anyway:
> 1. On my "font-height-works" machine (Ubuntu 16.10) the first invocation of:
>     ./src/emacs -q --eval "(set-face-attribute 'default nil :height 40)" &
> creates a rather small frame (I mean gtk window). The consequent
> invocations of this
> command create frames of normal size.
> 
> 2. On my "font-height-works" machine the command above produces warnings:
> 
> ** (emacs:21762): WARNING **: Couldn't connect to accessibility bus:
> Failed to connect to socket /tmp/dbus-CV9wAFvBnL: Connection refused
> 
> (emacs:21762): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
> assertion 'extra_space >= 0' failed
> 
> where the "... Gtk-CRITICAL ..." line gets repeated
> 
> 3. On my "font-height-buggy" machine (Ubuntu 16.10 in VirtBox under Windows 7) I
> always get small frames of the same size and I never see any Gtk errors or
> warnings.

Not sure this is related to the issue at hand.